Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class GroovyRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CompilationFailedException, IncorrectClosureArgumentsException, InvokerInvocationException, MethodSelectionException, MissingClassException, MissingFieldException, MissingMethodException, MissingPropertyException, RuntimeParserException, SpreadListEvaluatingException, SpreadMapEvaluatingException

    public class GroovyRuntimeException

extends RuntimeException

An exception thrown by the interpreter

Version:
  $Revision: 8867 $
Author:
  James Strachan
See Also:
  Serialized Form

Constructor Summary
`GroovyRuntimeException()`
`GroovyRuntimeException(String message)`
`GroovyRuntimeException(String message, ASTNode node)`
`GroovyRuntimeException(String message, Throwable cause)`
`GroovyRuntimeException(Throwable t)`

Method Summary
`protected String` | `getLocationText()`
`String` | `getMessage()`
`String` | `getMessageWithoutLocationText()`
`ModuleNode` | `getModule()`
`ASTNode` | `getNode()`
`void` | `setModule(ModuleNode module)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroovyRuntimeException

    public GroovyRuntimeException()

### GroovyRuntimeException

    public GroovyRuntimeException(String message)

### GroovyRuntimeException

    public GroovyRuntimeException(String message,
                                  ASTNode node)

### GroovyRuntimeException

    public GroovyRuntimeException(String message,
                                  Throwable cause)

### GroovyRuntimeException

    public GroovyRuntimeException(Throwable t)

Method Detail

### setModule

    public void setModule(ModuleNode module)

### getModule

    public ModuleNode getModule()

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### getNode

    public ASTNode getNode()

### getMessageWithoutLocationText

    public String getMessageWithoutLocationText()

### getLocationText

    protected String getLocationText()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD